Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 22 Aug 2014, 06:02
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Saluki
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 162 of 250 [3742 Posts]   Goto page: Previous 1, 2, 3, ..., 160, 161, 162, 163, 164, ..., 248, 249, 250 Next
Author Message
jemimah


Joined: 26 Aug 2009
Posts: 4309
Location: Tampa, FL

PostPosted: Sun 08 Apr 2012, 16:21    Post subject:  

canin wrote:
hello,
coming from fedora and mavrothal's olpc-build saluki to enjoy puppy saluki ^^
installed to hdd with the help of grub4dos

is it still allowed to ask for a programme?
i miss xfce-verve panel plugin and couldnt get it to work, at least until now.

a pet which is already ready for the repos and works perfect for non-epson printers is inkGUi
http://www.murga-linux.com/puppy/viewtopic.php?t=26407
(shows levels of ink-cartridges)

thank you for your work on saluki and thx for help
canin


I've added inkgui to the repo.

Verve will be in the next release. In the meantime, I've attached it.
xfce4-verve-plugin-1.0.0-i486.pet
Description 
pet

 Download 
Filename  xfce4-verve-plugin-1.0.0-i486.pet 
Filesize  19.24 KB 
Downloaded  105 Time(s) 
Back to top
View user's profile Send private message Visit poster's website 
jemimah


Joined: 26 Aug 2009
Posts: 4309
Location: Tampa, FL

PostPosted: Sun 08 Apr 2012, 16:30    Post subject:  

shevan wrote:
new amd catalyst driver 12.3 (release date 3/28/2012) still need patching for saluki default kernel 3.2.8

But after patching it compiles and run well for me


request^
any chance to see psx emulator pet package working for saluki?


I uploaded pcsxr to the repo. Seems nice but I haven't tested it so let me know if it works.
Back to top
View user's profile Send private message Visit poster's website 
aarf

Joined: 30 Aug 2007
Posts: 3620
Location: around the bend

PostPosted: Sun 08 Apr 2012, 16:58    Post subject:  

saluki18,
opera-11.62-1347.i386.linux
flashplayer - 11,2,202,228 both at mnt/sdb2

for some reason get missing plugin for flash when other puppies see the flashplayer with the plugin setting i have in portable opera.

java from sfs is ok

_________________

ASUS EeePC Flare series 1025C 4x Intel Atom N2800 @ 1.86GHz RAM 2063MB 800x600p ATA 320G
_-¤-_

<º))))><.¸¸.•´¯`•.#.•´¯`•.¸¸. ><((((º>

Last edited by aarf on Sun 08 Apr 2012, 17:04; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
jemimah


Joined: 26 Aug 2009
Posts: 4309
Location: Tampa, FL

PostPosted: Sun 08 Apr 2012, 17:04    Post subject: Re: PPM; search pet descriptions too  

mavrothal wrote:
I always thought that would be nice if you could search for a package in PPM not only by the pet name (that quite often is pretty cryptic) but also in the pet description.
Also would be nice if the results also include the description.
This little patch of findnames.sh does it both.
(take 4: eliminates double entries)
Code:
--- a/usr/local/petget/findnames.sh   2012-03-30 17:23:02.000000000 +0300
+++ b/usr/local/petget/findnames.sh   2012-04-08 19:56:05.329195702 +0300
@@ -12,6 +12,9 @@
 . /root/.packages/DISTRO_PET_REPOS #has PET_REPOS, PACKAGELISTS_PET_ORDER
 
 entryPATTERN="`echo -n "$ENTRY1" | sed -e 's%\\-%\\\\-%g' -e 's%\\.%\\\\.%g' -e 's%\\*%.*%g'`"
+if [ "$entryPATTERN" = "" ] ; then
+ exit 0
+fi
 
 CURRENTREPO="`cat /tmp/petget_filterversion`" #search here first.
 REPOLIST="${CURRENTREPO} `cat /tmp/petget_active_repo_list | grep -v "$CURRENTREPO" | tr '\n' ' '`"
@@ -20,19 +23,25 @@
 for ONEREPO in $REPOLIST
 do
  FNDENTRIES="`cat /root/.packages/Packages-${ONEREPO}| cut -f1 -d\| | grep -i "$entryPATTERN"`"
- if [ "$FNDENTRIES" != "" ];then
-  FIRSTCHAR="`echo "$FNDENTRIES" | cut -c 1 | tr '\n' ' ' | sed -e 's% %%g'`"
-  #write these just in case needed...
-  ALPHAPRE="`cat /tmp/petget_pkg_first_char`"
-  #if [ "$ALPHAPRE" != "ALL" ];then
-  # echo "$FIRSTCHAR" > /tmp/petget_pkg_first_char
-  #fi
-  #echo "ALL" > /tmp/petget_filtercategory
-  echo "$ONEREPO" > /tmp/petget_filterversion #ex: slackware-12.2-official
-  #this is read when update TREE1 in pkg_chooser.sh...
-  echo "$FNDENTRIES" | cut -f 1,10 -d '|' > /tmp/filterpkgs.results
-  FNDIT=yes
-  break
+ FNDENTRIES_DES="`cat /root/.packages/Packages-${ONEREPO}| cut -f10 -d\| | grep -i "$entryPATTERN"`"
+ if [[ "$FNDENTRIES" != "" ]] || [[ "$FNDENTRIES_DES" != "" ]] ; then
+ echo "$ONEREPO" > /tmp/petget_filterversion #ex: slackware-12.2-official
+  if [ "$FNDENTRIES" != "" ] ; then
+   FIRSTCHAR="`echo "$FNDENTRIES" | cut -c 1 | tr '\n' ' ' | sed -e 's% %%g'`"
+   #write these just in case needed...
+   ALPHAPRE="`cat /tmp/petget_pkg_first_char`"
+   #this is read when update TREE1 in pkg_chooser.sh...
+   cat /root/.packages/Packages-${ONEREPO}| grep "$FNDENTRIES" | cut -f 1,10 -d '|' > /tmp/filterpkgs.results
+   #this is read when update TREE1 in pkg_chooser.sh...
+   FNDIT=yes
+   if [ "$FNDENTRIES_DES" != "" ] ; then
+    cat /root/.packages/Packages-${ONEREPO}| grep "$FNDENTRIES_DES" | grep -v "$FNDENTRIES" | cut -f 1,10 -d '|' >> /tmp/filterpkgs.results
+    FNDIT=yes
+    if [ "$FNDIT" = "yes" ] ; then
+     break
+    fi
+   fi
+  fi
  fi
 done

Try to search for "sound" or "video" or "browser" before and after the patch as an example.

(just searching for file names and descriptions could also be done by adding "-f 1,10" instead of "-f 1" in FNDENTRIES)


I think it's simpler to just change

Code:
FNDENTRIES="`cat /root/.packages/Packages-${ONEREPO}| cut -f1 -d\| | grep -i "$entryPATTERN"`"


to

Code:
FNDENTRIES="`cat /root/.packages/Packages-${ONEREPO}| cut -f1,10 -d\| | grep -i "$entryPATTERN"`"


I have this change for the next release.

Last edited by jemimah on Sun 08 Apr 2012, 17:06; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
DaveS


Joined: 09 Oct 2008
Posts: 3726
Location: UK

PostPosted: Sun 08 Apr 2012, 17:05    Post subject:  

aarf wrote:
saluki18,
opera-11.62-1347.i386.linux
flashplayer - 11,2,202,228 both at mnt/sdb2

for some reason get missing plugin for flash when other puppies see the flashplayer with the plugin setting i have in portable opera.


Install the mozilla-libs-10 package from the package manager and you will be set.

_________________
Spup Frugal HD and USB
Root forever!
Back to top
View user's profile Send private message 
Geoffrey


Joined: 30 May 2010
Posts: 1352
Location: Queensland Australia ɹǝpu∩uʍop

PostPosted: Sun 08 Apr 2012, 17:12    Post subject:  

The dependency checker is still not working as it should, the first and second columns both have items selected and only the left hand column is checked.
dep-check.png
 Description   
 Filesize   46.98 KB
 Viewed   828 Time(s)

dep-check.png

Back to top
View user's profile Send private message 
jemimah


Joined: 26 Aug 2009
Posts: 4309
Location: Tampa, FL

PostPosted: Sun 08 Apr 2012, 17:23    Post subject:  

Geoffrey wrote:
The dependency checker is still not working as it should, the first and second columns both have items selected and only the left hand column is checked.


Does this fix it?
check_deps.sh.gz
Description 
gz

 Download 
Filename  check_deps.sh.gz 
Filesize  3.81 KB 
Downloaded  98 Time(s) 
Back to top
View user's profile Send private message Visit poster's website 
smokey01


Joined: 30 Dec 2006
Posts: 1801
Location: South Australia

PostPosted: Sun 08 Apr 2012, 17:24    Post subject:  

DaveS wrote:
Thanks Smokey... got it all working including Thunar custom action and CAN confirm 17-18 Delta is a bust. 15 - 16 worked smoothly but created a file called newfile.iso


I think that's because of the filename pattern is not recognised by xdelta_gui. For example:

luki17-18.delta won't work but luki-017.iso___luki-018.iso.delta will.

If you want to make a delta file simply select two ISO files then press generate. The delta file will be created with the correct filename.

Cheers.

_________________
Puppy Software <-> Distros <-> Puppy Linux Tips
Back to top
View user's profile Send private message Visit poster's website 
jemimah


Joined: 26 Aug 2009
Posts: 4309
Location: Tampa, FL

PostPosted: Sun 08 Apr 2012, 17:26    Post subject:  

smokey01 wrote:
DaveS wrote:
Thanks Smokey... got it all working including Thunar custom action and CAN confirm 17-18 Delta is a bust. 15 - 16 worked smoothly but created a file called newfile.iso


I think that's because of the filename pattern is not recognised by xdelta_gui. For example:

luki17-18.delta won't work but luki-017.iso___luki-018.iso.delta will.

If you want to make a delta file simply select two ISO files then press generate. The delta file will be created with the correct filename.

Cheers.


Yes, sorry I made this from the command line - didn't realize it was that picky about the file names.
Back to top
View user's profile Send private message Visit poster's website 
Geoffrey


Joined: 30 May 2010
Posts: 1352
Location: Queensland Australia ɹǝpu∩uʍop

PostPosted: Sun 08 Apr 2012, 17:31    Post subject:  

jemimah wrote:
Geoffrey wrote:
The dependency checker is still not working as it should, the first and second columns both have items selected and only the left hand column is checked.


Does this fix it?


Yeah, that did it, a single column works. Smile
Back to top
View user's profile Send private message 
aarf

Joined: 30 Aug 2007
Posts: 3620
Location: around the bend

PostPosted: Sun 08 Apr 2012, 17:39    Post subject:  

DaveS wrote:
aarf wrote:
saluki18,
opera-11.62-1347.i386.linux
flashplayer - 11,2,202,228 both at mnt/sdb2

for some reason get missing plugin for flash when other puppies see the flashplayer with the plugin setting i have in portable opera.


Install the mozilla-libs-10 package from the package manager and you will be set.

thanks dave. did all these thing and now it is ok for flashpayer.
still got missing dependency though.
maybe i ran out of space on my save file.it says only 3M left from 31M original
Screenshot.png
 Description   
 Filesize   90.52 KB
 Viewed   751 Time(s)

Screenshot.png

Screenshot-1.png
 Description   
 Filesize   59.76 KB
 Viewed   766 Time(s)

Screenshot-1.png

Screenshot-2.png
 Description   
 Filesize   16.85 KB
 Viewed   787 Time(s)

Screenshot-2.png

Screenshot-3.png
 Description   
 Filesize   49.67 KB
 Viewed   771 Time(s)

Screenshot-3.png


_________________

ASUS EeePC Flare series 1025C 4x Intel Atom N2800 @ 1.86GHz RAM 2063MB 800x600p ATA 320G
_-¤-_

<º))))><.¸¸.•´¯`•.#.•´¯`•.¸¸. ><((((º>
Back to top
View user's profile Send private message Visit poster's website 
HiDeHo

Joined: 16 Mar 2011
Posts: 286

PostPosted: Sun 08 Apr 2012, 17:49    Post subject:  

Think i mentioned this before but i feel it is a must with such a long post.

Please can you put on the first page under each build, a mention of from what page the forum post starts support for that version. it will help us all out when we come to finding support for the version we have. or face going through allot of pages till we find it.
Back to top
View user's profile Send private message 
Sage

Joined: 04 Oct 2005
Posts: 4781
Location: GB

PostPosted: Mon 09 Apr 2012, 01:55    Post subject:  

Update:
Glad to report everything working on old kit back to about 1997, albeit gee-d up with SDRAM boosts; cpu don't seem to be an issue. Have temporarily shelved a couple of new boards acquired this year. Also having issues with brand new USB3 stuff on most Puppies. Not to worry, as you clearly say:
Quote:
It should run reasonably fast on older machines and netbooks
.
In the meantime, happy to accede to your requests:
Quote:
Please report any bugs you find
.
Back to top
View user's profile Send private message 
mavrothal


Joined: 24 Aug 2009
Posts: 1595

PostPosted: Mon 09 Apr 2012, 02:25    Post subject: Re: PPM; search pet descriptions too  

jemimah wrote:

I think it's simpler to just change

Code:
FNDENTRIES="`cat /root/.packages/Packages-${ONEREPO}| cut -f1 -d\| | grep -i "$entryPATTERN"`"


to

Code:
FNDENTRIES="`cat /root/.packages/Packages-${ONEREPO}| cut -f1,10 -d\| | grep -i "$entryPATTERN"`"


I have this change for the next release.


Sure, but it also results in cryptic pet list which is not very useful if you are not a seasoned puppy or at least linux, user.

Saluki did improve PPM and is probably too close to release even for the above change, but Saluki2 needs another look at PPM and pets.

Certainly better package descriptions and maybe a second PPM field that descriptions could be search with 2 or 3 words.

Package management is one of the cornerstones of any distro, and historically a weak point for Puppy.
But Saluki can(/is) change(ing) that!

_________________
Kids all over the world go around with an XO laptop. They deserve one puppy (or many) too Very Happy
Back to top
View user's profile Send private message 
shelezyaka


Joined: 14 Feb 2012
Posts: 37
Location: Ukrainian

PostPosted: Mon 09 Apr 2012, 03:06    Post subject:  

jemimah wrote:
shevan wrote:
new amd catalyst driver 12.3 (release date 3/28/2012) still need patching for saluki default kernel 3.2.8

But after patching it compiles and run well for me


request^
any chance to see psx emulator pet package working for saluki?


I uploaded pcsxr to the repo. Seems nice but I haven't tested it so let me know if it works.

Pcsx emulator works. You only need to put the bios Sony PS in the directory / root / .pcsx / bios.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 162 of 250 [3742 Posts]   Goto page: Previous 1, 2, 3, ..., 160, 161, 162, 163, 164, ..., 248, 249, 250 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1633s ][ Queries: 13 (0.0565s) ][ GZIP on ]